Important: Please read the Qt Code of Conduct - https://forum.qt.io/topic/113070/qt-code-of-conduct

Как собирать программу?



  • Хочу установить программу AnimeEffects. На её сайте написано:
    Linux
    Please download the source code from GitHub, and build it by Qt5.7 or later.
    OpenGL4.0 CoreProfile or later versions is required.
    When exporting movies, you need to install FFmpeg separately. (If FFmpeg is not preinstalled on the OS)
    Исходники нашел тут:
    https://github.com/hidefuku/AnimeEffects
    Слева по ссылке version1.3.4 Latest также есть архив для скачивания.

    В архиве написано:

    Runtime Requirements

    • OpenGL4.0 CoreProfile or later
      • On linux, you can check whether your graphics card supports
        OpenGL4.0 CoreProfile or not, run glxinfo | grep "OpenGL core profile version" on your terminal
    • FFmpeg (Please install ffmpeg on your own for video exporting, you can also place a ffmpeg executable in /tools.)

    Qt в Линукс установил через qt-unified-linux-x64-3.2.3-online.run. Устанавливал две версии, в том числе последнюю. Не знаю, как собирать программу. Прошу научить.

    Ещё выяснил вот это:
    $ glxinfo | grep "OpenGL core profile version"
    OpenGL core profile version string: 3.3.0 NVIDIA 340.108
    Погуглил насчет этого и понял, что надо более современную видеокарту под эту программу, так как OpenGL 4 и выше для неё не предназначена.



  • Qt в Линукс установил через qt-unified-linux-x64-3.2.3-online.run. Устанавливал две версии, в том числе последнюю. Не знаю, как собирать программу. Прошу научить.

    Вообще отсутствие инструкции по сборке - это косяк автора. Но тут можно и самим разобраться. Заходим в src и видим AnimeEffects.pro - qmake-проект. Его можно попробовать собрать стандартным способом

    cd src
    qmake
    make -j <сколько там у тебя ядер/потоков>
    

    Получившийся бинарник даже запускается. Но у меня OpenGL core profile version string: 4.6.0 NVIDIA 450.66


  • Qt Champions 2019

    This post is deleted!

Log in to reply